Bug 25443 - switching profiles: changing IP not restarting net
switching profiles: changing IP not restarting net
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-31 21:14 EST by Joe Harrington
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2001-01-31 21:14:55 EST
When switching profiles from home to office, activating the changes
restarts xinetd but not the network, so the IP isn't updated.  This worked
in RH 6.2.


Comment 1 Joe Harrington 2002-03-08 11:28:25 EST
Hey this is still a problem in 7.2!  How come nobody's looking at it?  It's been
over a *year* this has sat here untouched.

The problem is that /etc/rc.d/init.d/network reload is what's run by linuxconf,
but that doesn't change the IP address.  You have to do a restart to get that to
happen.  (or, it's a bug in /etc/rc.d/init.d/network that reload doesn't do it,
but in that case please just  reassign this bug to that component.  I don't know
which is the case.)


Comment 2 Brent Fox 2002-06-05 12:19:46 EDT
Closing because we don't ship linuxconf anymore
Comment 3 Red Hat Bugzilla 2006-02-21 13:47:53 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.